Subject: Re: Re : Re : Re : Re : Bonding : Monitoring of 4965 wireless card

From: Jay Vosburgh <[email-masked]>
Date: Thu, 10 Jan 2008 12:59:20 -0800

[email-masked] wrote:

>Yes it's what i'm looking for. I don't understand how to change the arp_ip_target with the gateway, arp_ip_target is a module option.

	If you're running a relatively recent bonding driver (version
3.0.0 or later), the arp_ip_targets can be changed on the fly via sysfs,
e.g.,

echo +10.0.0.1 > /sys/class/net/bond0/bonding/arp_ip_target
echo -20.0.0.1 > /sys/class/net/bond0/bonding/arp_ip_target

	You can check out Documentation/networking/bonding.txt (in the
kernel source code) for more details.

	-J

---
	-Jay Vosburgh, IBM Linux Technology Center, [email-masked]

>----- Message d'origine ----
>De : Jay Vosburgh <[email-masked]>
>À : [email-masked]
>Cc : [email-masked]
>Envoyé le : Jeudi, 10 Janvier 2008, 0h26mn 38s
>Objet : Re: Re : Re : Re : Bonding : Monitoring of 4965 wireless card 
>
>[email-masked] wrote:
>
>>I mean that instead of arp test an ip in lan or else, i want it to
> test 127.0.0.1 but in order to do this it must go out and re-enter and
> then use wlan0 to go out.
>
>    In other words, what I think you're saying (and I'm not entirely
>sure here) is that you want probes to go to a remote node on the
>network, and back, without having to actually know the identity of the
>remote node (because, presumably, on a roaming type of wireless
>configuration, your gateway and whatnot can change from time to time).
>
>    Is that what you're looking for?
>
>    That isn't available now, but might be straightforward to plug
>into the address update system to keep the arp_ip_target up to date as
>the current gateway as the gateway changes.  I haven't looked into the
>details of doing that, but in theory it sounds straightforward.
>
>    -J
>
>---
>    -Jay Vosburgh, IBM Linux Technology Center, [email-masked]